nrfutil doesn't work with Python 3.9

Trying to install nrfutil on a system with Python 3.9 but it only installs the old version 5.2.0 which is broken on Python 3. This is the last version before the version check was introduced in setup.py.

pip install --user nrfutil

It's possible to install nrfutil 6.1.0 with --ignore-requires-python however the pc_ble_driver_py dependency fails.

Thanks.

Related